Bug 1185024 (TEIID-3290) - Auto generated REST WAR truncates the larger payloads
Summary: Auto generated REST WAR truncates the larger payloads
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: TEIID-3290
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid
Version: 6.0.0
Hardware: All
OS: All
urgent
urgent
Target Milestone: CR1
: 6.1.0
Assignee: Van Halbert
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-22 17:38 UTC by dsteigne
Modified: 2019-02-15 14:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An auto-generated REST WAR file truncates larger payloads. Currentl,y string-based query parameters are supported, but since they are passed as-is as strings on larger payloads they are subject to the 4000 string length restriction. The software should instead read metadata of the procedure and convert the string objects to respective objects before the query gets executed.
Clone Of:
Environment:
Last Closed: 2016-02-10 08:48:27 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Issue Tracker TEIID-3290 Blocker Closed Auto generated REST WAR truncates the larger payloads 2015-06-02 17:24:08 UTC
Red Hat Knowledge Base (Solution) 1327743 None None None Never

Description dsteigne 2015-01-22 17:38:39 UTC
See https://issues.jboss.org/browse/TEIID-3290

Comment 2 JBoss JIRA Server 2015-01-26 15:18:16 UTC
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-3290 to Resolved

Comment 3 Filip Elias 2015-02-24 09:50:09 UTC
Verified in DV 6.1 CR3

Comment 4 JBoss JIRA Server 2015-03-05 15:38:15 UTC
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-3290 to Closed


Note You need to log in before you can comment on or make changes to this bug.